summaryrefslogtreecommitdiffstats
path: root/scripts/setlocalversion
diff options
context:
space:
mode:
authorMasahiro Yamada <masahiroy@kernel.org>2023-01-22 23:14:25 +0900
committerMasahiro Yamada <masahiroy@kernel.org>2023-02-05 18:51:20 +0900
commitec31f868ec674edfcf653cc7c82b365c6f570cd9 (patch)
treeacc3bbbf616ae91164f6c6e67ee421ca7d295a52 /scripts/setlocalversion
parent75280bdf49b2f563fb5404df7c7b735c118695fe (diff)
downloadlinux-stable-ec31f868ec674edfcf653cc7c82b365c6f570cd9.tar.gz
linux-stable-ec31f868ec674edfcf653cc7c82b365c6f570cd9.tar.bz2
linux-stable-ec31f868ec674edfcf653cc7c82b365c6f570cd9.zip
setlocalversion: absorb $(KERNELVERSION)
Print $(KERNELVERSION) in setlocalversion so that the callers get simpler. Signed-off-by: Masahiro Yamada <masahiroy@kernel.org>
Diffstat (limited to 'scripts/setlocalversion')
-rwxr-xr-xscripts/setlocalversion7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/setlocalversion b/scripts/setlocalversion
index b8e1018d611e..ad72ea2c8228 100755
--- a/scripts/setlocalversion
+++ b/scripts/setlocalversion
@@ -102,6 +102,11 @@ if ! test -e include/config/auto.conf; then
exit 1
fi
+if [ -z "${KERNELVERSION}" ]; then
+ echo "KERNELVERSION is not set" >&2
+ exit 1
+fi
+
# localversion* files in the build and source directory
res="$(collect_files localversion*)"
if test ! "$srctree" -ef .; then
@@ -127,4 +132,4 @@ elif [ "${LOCALVERSION+set}" != "set" ]; then
res="$res$(scm_version --short)"
fi
-echo "$res"
+echo "${KERNELVERSION}${res}"